Update a reward product
curl --request PATCH \
--url https://api.synctera.com/v2/reward_products/{reward_product_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Cashback rewards for premium checking accounts",
"name": "Premium Cashback Rewards",
"reward_config_ids": [
"5c943c51-e4ff-4e57-9558-08cab6b96398"
]
}
'import requests
url = "https://api.synctera.com/v2/reward_products/{reward_product_id}"
payload = {
"description": "Cashback rewards for premium checking accounts",
"name": "Premium Cashback Rewards",
"reward_config_ids": ["5c943c51-e4ff-4e57-9558-08cab6b96398"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Cashback rewards for premium checking accounts',
name: 'Premium Cashback Rewards',
reward_config_ids: ['5c943c51-e4ff-4e57-9558-08cab6b96398']
})
};
fetch('https://api.synctera.com/v2/reward_products/{reward_product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v2/reward_products/{reward_product_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => 'Cashback rewards for premium checking accounts',
'name' => 'Premium Cashback Rewards',
'reward_config_ids' => [
'5c943c51-e4ff-4e57-9558-08cab6b96398'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v2/reward_products/{reward_product_id}"
payload := strings.NewReader("{\n \"description\": \"Cashback rewards for premium checking accounts\",\n \"name\": \"Premium Cashback Rewards\",\n \"reward_config_ids\": [\n \"5c943c51-e4ff-4e57-9558-08cab6b96398\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.synctera.com/v2/reward_products/{reward_product_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"Cashback rewards for premium checking accounts\",\n \"name\": \"Premium Cashback Rewards\",\n \"reward_config_ids\": [\n \"5c943c51-e4ff-4e57-9558-08cab6b96398\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v2/reward_products/{reward_product_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"Cashback rewards for premium checking accounts\",\n \"name\": \"Premium Cashback Rewards\",\n \"reward_config_ids\": [\n \"5c943c51-e4ff-4e57-9558-08cab6b96398\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"creation_time": "2024-01-15T10:00:00Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b96312",
"last_updated_time": "2024-06-01T12:00:00Z",
"tenant": "abcdef_ghijkl",
"name": "Premium Cashback Rewards",
"reward_config_ids": [
"5c943c51-e4ff-4e57-9558-08cab6b96398"
],
"status": "active",
"description": "Cashback rewards for premium checking accounts"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Reward Products
Update a reward product
Update the name, description, status, or reward_config_ids of a reward product
PATCH
/
reward_products
/
{reward_product_id}
Update a reward product
curl --request PATCH \
--url https://api.synctera.com/v2/reward_products/{reward_product_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Cashback rewards for premium checking accounts",
"name": "Premium Cashback Rewards",
"reward_config_ids": [
"5c943c51-e4ff-4e57-9558-08cab6b96398"
]
}
'import requests
url = "https://api.synctera.com/v2/reward_products/{reward_product_id}"
payload = {
"description": "Cashback rewards for premium checking accounts",
"name": "Premium Cashback Rewards",
"reward_config_ids": ["5c943c51-e4ff-4e57-9558-08cab6b96398"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Cashback rewards for premium checking accounts',
name: 'Premium Cashback Rewards',
reward_config_ids: ['5c943c51-e4ff-4e57-9558-08cab6b96398']
})
};
fetch('https://api.synctera.com/v2/reward_products/{reward_product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v2/reward_products/{reward_product_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => 'Cashback rewards for premium checking accounts',
'name' => 'Premium Cashback Rewards',
'reward_config_ids' => [
'5c943c51-e4ff-4e57-9558-08cab6b96398'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v2/reward_products/{reward_product_id}"
payload := strings.NewReader("{\n \"description\": \"Cashback rewards for premium checking accounts\",\n \"name\": \"Premium Cashback Rewards\",\n \"reward_config_ids\": [\n \"5c943c51-e4ff-4e57-9558-08cab6b96398\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.synctera.com/v2/reward_products/{reward_product_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"Cashback rewards for premium checking accounts\",\n \"name\": \"Premium Cashback Rewards\",\n \"reward_config_ids\": [\n \"5c943c51-e4ff-4e57-9558-08cab6b96398\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v2/reward_products/{reward_product_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"Cashback rewards for premium checking accounts\",\n \"name\": \"Premium Cashback Rewards\",\n \"reward_config_ids\": [\n \"5c943c51-e4ff-4e57-9558-08cab6b96398\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"creation_time": "2024-01-15T10:00:00Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b96312",
"last_updated_time": "2024-06-01T12:00:00Z",
"tenant": "abcdef_ghijkl",
"name": "Premium Cashback Rewards",
"reward_config_ids": [
"5c943c51-e4ff-4e57-9558-08cab6b96398"
],
"status": "active",
"description": "Cashback rewards for premium checking accounts"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Authorizations
Path Parameters
Body
application/json
Reward product fields to update
Response
Updated reward product
Was this page helpful?

